﻿using System.Collections;
using System.Collections.Generic;

namespace RowsAsColumns
{
    public partial class Page
    {
        public Page()
        {
            this.InitializeComponent();

            IList<Customer> customers = Customer.GetAll();
            IEnumerable transposed = customers.Transpose();

            this.GridView.ItemsSource = customers;
            this.GridViewTransposed.ItemsSource = new ProxyEnumerable(transposed);
        }
    }
}